# Uses of Class
org.bukkit.inventory.FurnaceRecipe

Packages that use FurnaceRecipe
Package
Description
org.bukkit.inventory
Classes involved in manipulating player inventories and item interactions.

## Uses of FurnaceRecipe in org.bukkit.inventory

Methods in org.bukkit.inventory that return FurnaceRecipe
Modifier and Type
Method
Description
`@NotNull FurnaceRecipe`
FurnaceRecipe.`setInput(@NotNull Material input)`
`@NotNull FurnaceRecipe`
FurnaceRecipe.`setInput(@NotNull MaterialData input)`
Deprecated.
use `setInputChoice(RecipeChoice)`
`FurnaceRecipe`
FurnaceRecipe.`setInput(@NotNull Material input, int data)`
Deprecated.
Magic value
`@NotNull FurnaceRecipe`
FurnaceRecipe.`setInputChoice(@NotNull RecipeChoice input)`